# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

news_menu_item = items.MenuItem(
    # GENERAL
    _('News'),
        reverse('admin:app_list', kwargs={'app_label': 'news'}),
        children=[
            items.MenuItem(_('News'), '',
                children=[
                    items.MenuItem(_('Add News'), reverse('admin:news_news_add',)),
                    items.MenuItem(_('News List'), reverse('admin:news_news_changelist',) ),
                    items.MenuItem(_('Add Category'), reverse('admin:news_category_add',)),
                    items.MenuItem(_('Area List'), reverse('admin:news_category_changelist',) ),
                    ]
            ),
        ]
)

register_menu(news_menu_item, 'jmb.news')
