# -*- coding: utf-8 -*-
from django.conf import settings
from django.utils.translation import ugettext_lazy as _

NEWS_PATH = "news"

NEWS_CMSPLUGIN_LIST_TEMPLATES = [
    ("news/cms_plugins/news_list.html", _("News list"),),
    ("news/cms_plugins/news_slider.html", _("News slider"),),
    ("news/cms_plugins/archive_sidebar.html", _("News Archive Sidebar"),),
]
NEWS_CMSPLUGIN_BY_CATEGORY_LIST_TEMPLATES = [
    ("bootstrap3/news/cms_plugins/news_by_category_list.html", _("B3 - News by category list"),),
]
NEWS_CMSPLUGIN_ALL_LIST_TEMPLATES = NEWS_CMSPLUGIN_LIST_TEMPLATES + NEWS_CMSPLUGIN_BY_CATEGORY_LIST_TEMPLATES

NEWS_CATEGORY_FILTER_CMSPLUGIN_TEMPLATES = (
    ("bootstrap3/news/cms_plugins/news_category_filter.html", _("B3 - News category filter")),
)

NEWS_CATEGORY_SELECT_FILTER_CMSPLUGIN_TEMPLATES = (
    ("bootstrap3/news/cms_plugins/news_category_select_filter.html", _("B3 - News category select filter")),
)

NEWS_CMSPLUGIN_SEARCH_TEMPLATES = (
    ("news/cms_plugins/search.html", _("Search form"),),
    ("news/bootstrap3/cms_plugins/search.html", _("B3 - Search form"),),
    )

NEWS_FORM_CLASSES = (
    ("jmb.news.forms.SearchNewsForm", _("Search news form"),),
)

NEWS_CMSPLUGIN_DATE_GROUP_CHOICES = (
    (None, _("------")),
    ('day', _('by day')),
    ('month', _('by month')),
    ('year', _('by year')),
)

NEWS_CATEGORY_CMSPLUGIN_LIST_TEMPLATES = ()
